## python-elgato-streamdeck 0.9.0+ds

=== requirements.txt ===
Pillow>=8.1.0

=== doc/requirements.txt ===
Sphinx>=4.1.1
sphinx-rtd-theme>=0.5.2

=== debian/changelog ===
python-elgato-streamdeck (0.9.0+ds-1) unstable; urgency=medium

  * New upstream version 0.9.0+ds.
  * d/copyright: Update and improve.
  * Include source lintian-overrides for false positive lintians.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 05 Jan 2022 12:22:00 -0300

python-elgato-streamdeck (0.8.5+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/watch: Fixed to track tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 06 Nov 2021 09:24:26 -0300

python-elgato-streamdeck (0.8.5+ds-1) experimental; urgency=medium

  * Initial release (Closes: #995493).

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 05 Oct 2021 16:00:00 -0300

## python-elgato-streamdeck 0.9.1+ds

=== requirements.txt ===
Pillow>=9.0.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = python-elgato-streamdeck
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== doc/requirements.txt ===
Sphinx>=4.4.0
sphinx-rtd-theme>=1.0.0

=== debian/changelog ===
python-elgato-streamdeck (0.9.1+ds-1.1ubuntu1) resolute; urgency=medium

  * udev: Use uaccess tag instead of setting the group to users

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 23 Oct 2025 10:29:44 +0200

python-elgato-streamdeck (0.9.1+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move udev rules into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 23:02:46 +0200

python-elgato-streamdeck (0.9.1+ds-1) unstable; urgency=medium

  * New upstream version 0.9.1+ds.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 21 Apr 2022 11:41:00 -0300

=== debian/control ===
Source: python-elgato-streamdeck
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.0
Homepage: https://github.com/abcminiuser/python-elgato-streamdeck/
Vcs-Browser: https://salsa.debian.org/debian/python-elgato-streamdeck
Vcs-Git: https://salsa.debian.org/debian/python-elgato-streamdeck.git
Rules-Requires-Root: no

Package: python3-elgato-streamdeck
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-willow,
         python3-wheel,
         libhidapi-libusb0,
         fonts-roboto
Description: Python 3 library to control an Elgato Stream Deck
 This is an open source Python 3 library to control an Elgato Stream Deck
 directly, without the official software. This can create custom front-ends,
 such as a custom control front-end for home automation software.
 .
 Currently the following StreamDeck product variants are supported:
 .
 StreamDeck Original (both V1 and V2 hardware variants)
 StreamDeck Mini
 StreamDeck XL

=== debian/watch ===
version=4
#opts="pgpsigurlmangle=s/$/.asc/" \
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,repack,compression=xz" \
https://github.com/abcminiuser/python-elgato-streamdeck/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
